description: Output mesh test 1d. Darcy flow- adaptive refinement, transport - adaptive refinement.
mesh:
  mesh_file: ../00_mesh/line_x_20el.msh
flow_equation: !Flow_Darcy_LMH
  input_fields:
    - region: plane
      water_source_density: !FieldFormula
        value: 1/(x+0.01)
    - region: .BOUNDARY
      bc_type: dirichlet
      bc_pressure: !FieldFormula
        value: 0
  nonlinear_solver:
    linear_solver: !Petsc
      a_tol: 1.0e-07
  output:
    fields:
      - water_source_density
      - pressure_p0
      #- pressure_p1
      - velocity_p0
  output_stream:
    file: ./flow.pvd
    format: !vtk
      variant: ascii
    output_mesh:
      max_level: 5 # default value
      refine_by_error: true
      error_control_field: water_source_density
      refinement_error_tolerance: 0.01 # default value
# primary_equation
  
solute_equation: !Coupling_OperatorSplitting
  transport: !Solute_Advection_FV
    input_fields:
      - region: plane
        init_conc: 0.5
        porosity: !FieldFormula
          value: -1/(x-1.01)
      - region: .BOUNDARY
        bc_conc:
          - 0.0
    output:
      fields:
        - porosity
        - conc
  substances:
    - name: U235
      molar_mass: 0.235
  time:
    end_time: 1.0
  balance: {add_output_times: false}
  output_stream:
    file: transport.pvd
    format: !vtk
      variant: ascii
    times:
      - step: 1.0
    output_mesh:
      max_level: 5 # default value
      refine_by_error: true
      error_control_field: porosity
      refinement_error_tolerance: 0.01 # default value
# secondary_equation      
